Why is uppweb compilation of web.cpp in linux taking so long?
Description

and wastes so much memory?

History

#1 - 10/24/2011 10:30 AM - Sender Ghost

- File uppbox.diff added

Circular dependencies?

I created a patch to clean uppweb package a little.

#2 - 10/24/2011 11:24 AM - Sender Ghost

- File uppbox2.diff added

Clean up a little more.

#3 - 10/24/2011 12:10 PM - Sender Ghost

- File uppweb_fix.diff added

- Status changed from New to In Progress

And some fix for uppweb/www.cpp file.

#4 - 10/24/2011 02:02 PM - Sender Ghost

Ok, found. This is because of following fragment of code:

#define TOPICFILE <uppweb/www.tpp/all.i>

#include <Core/topic_group.h>

#define TOPICFILE <ide/app.tpp/all.i>

#include <Core/topic_group.h>

The preprocessor.

#5 - 10/24/2011 02:20 PM - Sender Ghost

- File deleted (uppbox2.diff)

04/26/2025 1/3

/redmine/projects/upp/repository/revisions/4098/entry/trunk/uppbox/uppweb/www.cpp#L181
/redmine/projects/upp/repository/revisions/4098/entry/trunk/uppbox/uppweb/www.cpp#L201


#6 - 10/24/2011 02:23 PM - Sender Ghost

- File uppbox2.diff added

Fixed second version of the clean-up patch (which not very related for this issue).

#7 - 10/26/2011 09:43 AM - Miroslav Fidler

Well, looks like it would be smart to rewrite the code not to include topics, just load them during the run...

#8 - 10/26/2011 03:58 PM - Sender Ghost

If I comment out these defines, I get almost the same generated pages (except update time stamp for index.html file and 

www$uppweb$examples$&lt;language&gt;.html files).

I recommend to switch ide package to ide/Browser for uppweb uses, then it will be just 21 packages to build, instead of 39. And use separately opened

TheIDE to edit ide/app.tpp topics instead.

#9 - 10/26/2011 06:38 PM - Sender Ghost

- File uppbox_full.diff added

- Status changed from In Progress to Patch ready

Therefore, there is full version of the patch with all changes.

#10 - 10/26/2011 06:38 PM - Sender Ghost

- File deleted (uppbox_full.diff)

#11 - 10/26/2011 06:39 PM - Sender Ghost

- File uppbox_full.diff added

Just changed description of the attached file.

#12 - 10/26/2011 09:22 PM - Sender Ghost

- File deleted (uppbox_full.diff)

#13 - 10/26/2011 09:24 PM - Sender Ghost

- File uppbox_full.diff added

Fixed patch a bit.

#14 - 11/04/2011 10:24 AM - Miroslav Fidler

- Status changed from Patch ready to New

- Priority changed from High to Normal
/redmine/projects/upp/repository/revisions/4098/entry/trunk/uppbox/uppweb/www.cpp#L769


(switching to 'new'/'Normal' as provided patch does not solve the original problem and the issue is not pressing....)

#15 - 03/31/2013 03:22 PM - Miroslav Fidler

- Status changed from New to Rejected

Files

uppbox.diff 1.05 KB 10/24/2011 Sender Ghost

uppweb_fix.diff 494 Bytes 10/24/2011 Sender Ghost

uppbox2.diff 1.36 KB 10/24/2011 Sender Ghost

uppbox_full.diff 3.96 KB 10/26/2011 Sender Ghost

04/26/2025 3/3


